Package org.bukkit

# Class World.Spigot

java.lang.Object
org.bukkit.World.Spigot

Enclosing interface:
  World

public static class World.Spigot extends Object

## Constructor Summary

Constructors
Constructor
Description
`Spigot()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull LightningStrike`
`strikeLightning(@NotNull Location loc, boolean isSilent)`
Strikes lightning at the given `Location` and possibly without sound
`@NotNull LightningStrike`
`strikeLightningEffect(@NotNull Location loc, boolean isSilent)`
Strikes lightning at the given `Location` without doing damage and possibly without sound

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Spigot

public Spigot()

## Method Details

### strikeLightning

@NotNull public @NotNull LightningStrike strikeLightning(@NotNull @NotNull Location loc, boolean isSilent)
Strikes lightning at the given `Location` and possibly without sound

Parameters:
  `loc` - The location to strike lightning
  `isSilent` - Whether this strike makes no sound
Returns:
  The lightning entity.

### strikeLightningEffect

@NotNull public @NotNull LightningStrike strikeLightningEffect(@NotNull @NotNull Location loc, boolean isSilent)
Strikes lightning at the given `Location` without doing damage and possibly without sound

Parameters:
  `loc` - The location to strike lightning
  `isSilent` - Whether this strike makes no sound
Returns:
  The lightning entity.